Package org.eclipse.net4j.util.collection

## Class MoveableArrayList<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<E>
      - - org.eclipse.net4j.util.collection.MoveableArrayList<E>

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<E>`, `java.util.Collection<E>`, `java.util.List<E>`, `java.util.RandomAccess`, `MoveableList<E>`

      public class MoveableArrayList<E>
      extends java.util.ArrayList<E>
      implements MoveableList<E>

  A list with O(1) effort for random access.

  Whenever possible EMF's BasicEList should be used in favour of this list implementation.

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MoveableArrayList​(int initialCapacity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `E` | `move​(int targetIndex, int sourceIndex)` |
    `void` | `move​(int newPosition, java.lang.Object object)` |

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

- - ### Constructor Detail

    - #### MoveableArrayList

          public MoveableArrayList​(int initialCapacity)

  - ### Method Detail

    - #### move

          public void move​(int newPosition,
                           java.lang.Object object)

      Since:
        3.0

    - #### move

          public E move​(int targetIndex,
                        int sourceIndex)

      Specified by:
        `move` in interface `MoveableList<E>`